OSTREE PULL(1)

NAME
ostree-pull - Download data from a remote repository

SYNOPSIS

ostree pull {REMOTE} [BRANCH]

OPTIONS

--commit-metadata-only
    Fetch only the commit metadata.

--disable-fsync
    Do no invoke fsync().

--untrusted
    Do not trust local sources, verify checksums and don't hardlink into source.

--disable-static-deltas
    Do not use static deltas.

--mirror
    Write refs suitable for a mirror.

--subpath=SUBPATH
    Only pull the provided subpath.

--depth=DEPTH
    Traverse DEPTH parents (-1=infinite) (default: 0).

DESCRIPTION

This command can retrieve just a specific commit, or go all the way to performing a full mirror of the remote repository. If no BRANCH is specified, all branches are retrieved.

A special syntax in the @ character allows specifying a specific commit to retrieve from a branch. This

EXAMPLE

$ ostree --repo=repo pull --depth=-1 --mirror remote_name

Perform a complete mirror of the remote. (This is likely most useful if your repository is also archive-z2 mode)

$ ostree --repo=repo pull remote_name exampleos/x86_64/standard

Fetch the most recent commit to exampleos/x86_64/standard.

$ ostree --repo=repo pull remote_name exampleos/x86_64/standard@98ea6e4f216f2fb4b69fff9b3a44842c38686ca685f3f55dc48c5d3fb1107be4

Download the specific commit starting with 98ea6e as if it was the latest commit for exampleos/x86_64/standard.